com.ibm.openpages.api.trigger

## Class GRCTriggerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.openpages.sdk.common.OpenpagesRuntimeException
        - - com.openpages.sdk.trigger.TriggerException
          - - com.ibm.openpages.api.trigger.GRCTriggerException

- All Implemented Interfaces:
    com.openpages.sdk.common.IOpenpagesException, java.io.Serializable

      public class GRCTriggerException
      extends com.openpages.sdk.trigger.TriggerException

  Exception thrown for all GRC trigger related errors.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.openpages.sdk.common.OpenpagesRuntimeException

      `CODE_PREFIX, UNKNOWN_ERROR_CODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GRCTriggerException(com.openpages.sdk.common.ErrorMessage errorMessage, java.util.List<java.lang.Object> parameters, java.lang.Throwable originalCause)` Constructs a new GRCTriggerException with the specified error message, list of parameters and cause of the exception.

  - ### Method Summary

    - ### Methods inherited from class com.openpages.sdk.common.OpenpagesRuntimeException

      `getCategory, getCode, getCodeString, getErrorClass, getErrorCodeString, getErrorMessage, getErrorNumber, getLevel, getLocalizedMessage, getMessage, getName, getOriginalCause, getParameters, getStackTraceText, getTimestamp, getTokenId, getUnformattedMessage, getUniqueErrorNumber, getUserName, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GRCTriggerException

          public GRCTriggerException(com.openpages.sdk.common.ErrorMessage errorMessage,
                                     java.util.List<java.lang.Object> parameters,
                                     java.lang.Throwable originalCause)

      Constructs a new GRCTriggerException with the specified error message, list of parameters and cause of the exception.
      Parameters:
        `errorMessage` - (required) the system trigger error message from ErrorMessageCache, the trigger error code is -72
        `parameters` - (required) a List of Objects parameters to pass to the error message to format. For trigger exception the first parameter in the list should be the error message text as a String
        `originalCause` - (optional) another exception that caused this trigger error.

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.